Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226440 - Merge Review: subversion
Summary: Merge Review: subversion
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: subversion
Version: 23
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:02 UTC by Nobody's working on this, feel free to take it
Modified: 2016-05-08 17:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-08 17:00:28 UTC


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:02:44 UTC
Fedora Merge Review: subversion

http://cvs.fedora.redhat.com/viewcvs/devel/subversion/
Initial Owner: jorton@redhat.com

Comment 1 Laurent Rineau 2008-01-25 08:52:44 UTC
In the spec file, one can find that strange/ugly line, that displays a 
warnings when building:
Requires: httpd-mmn = %(cat %{_includedir}/httpd/.mmn || echo missing)


Comment 2 Jason Tibbitts 2008-01-25 18:38:39 UTC
That line isn't particularly strange, though; the technique is commonly used. 
What do you find odd about it?

I guess the only thing I'd do is add 2>/dev/null to quiet the case where the
file doesn't exist.

Comment 3 Jeff Garzik 2010-07-08 04:10:59 UTC
merged long ago, closing.

Comment 4 Robert Scheck 2010-07-08 06:47:01 UTC
Jeff, dumb Red Hat employee! You are not allowed to close this review
before a reviewer has set fedora-review+ - reopening...

Comment 5 Parag AN(पराग) 2010-07-08 09:33:06 UTC
Jeff,

1)   If you was not triaging this bug, if you are not reviewing this package and assuming you are maintaining this package, will you please fix following rpmlint messages?

subversion.src: W: strange-permission filter-requires.sh 0775L
subversion.src:7: E: hardcoded-library-path in /usr/lib/jvm/java
subversion.src:222: E: use-of-RPM_SOURCE_DIR
subversion.src: W: patch-not-applied Patch6: subversion-1.6.0-pie.patch


subversion.x86_64: E: wrong-script-end-of-line-encoding /usr/share/doc/subversion-1.6.12/tools/buildbot/slaves/i686-debian-sarge1/svnlog.sh
subversion.x86_64: E: wrong-script-end-of-line-encoding /usr/share/doc/subversion-1.6.12/tools/buildbot/slaves/i686-debian-sarge1/svnclean.sh
subversion.x86_64: E: wrong-script-end-of-line-encoding /usr/share/doc/subversion-1.6.12/tools/buildbot/slaves/osx10.4-gcc4.0.1-ia32/svnbuild.sh
subversion.x86_64: E: wrong-script-end-of-line-encoding /usr/share/doc/subversion-1.6.12/tools/buildbot/slaves/osx10.4-gcc4.0.1-ia32/svncheck.sh
subversion.x86_64: E: wrong-script-end-of-line-encoding /usr/share/doc/subversion-1.6.12/tools/buildbot/slaves/i686-debian-sarge1/svnbuild.sh
subversion.x86_64: E: wrong-script-end-of-line-encoding /usr/share/doc/subversion-1.6.12/tools/buildbot/slaves/osx10.4-gcc4.0.1-ia32/svnlog.sh
subversion.x86_64: E: wrong-script-end-of-line-encoding /usr/share/doc/subversion-1.6.12/tools/buildbot/slaves/i686-debian-sarge1/svncheck.sh
subversion.x86_64: E: wrong-script-end-of-line-encoding /usr/share/doc/subversion-1.6.12/tools/buildbot/slaves/osx10.4-gcc4.0.1-ia32/svnclean.sh


subversion-gnome.x86_64: E: library-without-ldconfig-postin /usr/lib64/libsvn_auth_gnome_keyring-1.so.0.0.0
subversion-gnome.x86_64: E: library-without-ldconfig-postun /usr/lib64/libsvn_auth_gnome_keyring-1.so.0.0.0
subversion-kde.x86_64: E: library-without-ldconfig-postin /usr/lib64/libsvn_auth_kwallet-1.so.0.0.0
subversion-kde.x86_64: E: library-without-ldconfig-postun /usr/lib64/libsvn_auth_kwallet-1.so.0.0.0


2) I am not sure why you need both python and python-devel as BuildRequires:
as per https://fedoraproject.org/wiki/Packaging/Python, you should change it to 

BuildRequires: python2-devel 

3) you don't need following in spec as per guidelines.
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

3) you don't need perl macro as its not included in /usr/lib/rpm/macros.perl
drop following line
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

4) Drop Buildroot tag, %clean section and cleaning of buildroot in %install in devel branch as its not needed now.

Note: This is not complete review, just initial comments.

Comment 6 Parag AN(पराग) 2010-12-08 10:04:07 UTC
Unfortunately no time in future to work on this. Removing myself.

Comment 7 Cole Robinson 2015-02-11 20:39:08 UTC
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.

Comment 8 Jan Kurik 2015-07-15 15:23:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 9 Peter Robinson 2016-05-08 17:00:28 UTC
Think that this can be closed now, anyone disagree please provide a fix for the bit you disagree on


Note You need to log in before you can comment on or make changes to this bug.